#ifndef GRAPHICS_H
#define GRAPHICS_H

#include <Bitmap.h>

enum gfx {
	// same as directions, for practical reasons
	gUP = 0, gUP_RIGHT, gRIGHT, gDOWN_RIGHT, gDOWN, gDOWN_LEFT, gLEFT, gUP_LEFT,

	gBASE,
	gINVENTORY,
	gSHADOW
};

class Graphics
{
	public:
		Graphics();
		~Graphics();
		
		bool Load( uint32, const char * filename ); // set bmp uint32 to filename
//		bool Save( const char * filename );

		BBitmap * Bitmap( uint32, gfx frame = gBASE );

	protected:
		typedef struct gfx_struct;
		typedef struct gfx_struct
		{
			BBitmap		* bitmap_base, 
						* bitmap_shadow,
						* bitmap_inventory,
						* bitmap_up,
						* bitmap_up_right,
						* bitmap_right,
						* bitmap_down_right,
						* bitmap_down,
						* bitmap_down_left,
						* bitmap_left,
						* bitmap_up_left;
			uint32		index;
			
			gfx_struct	* next;
		}  gfx_struct;

		gfx_struct		* bitmaps;
};


#endif
